Binary files fltk-1.1.x-r5252.Orig/lib/libfltk.a and fltk-1.1.x-r5252/lib/libfltk.a differ
Binary files fltk-1.1.x-r5252.Orig/src/Fl.o and fltk-1.1.x-r5252/src/Fl.o differ
diff -rud fltk-1.1.x-r5252.Orig/src/Fl_mac.cxx fltk-1.1.x-r5252/src/Fl_mac.cxx
--- fltk-1.1.x-r5252.Orig/src/Fl_mac.cxx	2006-07-17 15:00:36.000000000 +0200
+++ fltk-1.1.x-r5252/src/Fl_mac.cxx	2006-07-17 15:02:53.000000000 +0200
@@ -623,12 +623,13 @@
     if (mac_timer_alloc == 0) {
         mac_timer_alloc = 8;
     }
-    MacTimeout* new_timers = new MacTimeout[mac_timer_alloc * 2];
-    memmove(new_timers, mac_timers, sizeof(MacTimeout) * mac_timer_used);
+    mac_timer_alloc *= 2;
+    MacTimeout* new_timers = new MacTimeout[mac_timer_alloc];
+    memset(new_timers, 0, sizeof(MacTimeout) * mac_timer_alloc);
+    memcpy(new_timers, mac_timers, sizeof(MacTimeout) * mac_timer_used);
     MacTimeout* delete_me = mac_timers;
     mac_timers = new_timers;
     delete [] delete_me;
-    mac_timer_alloc *= 2;
 }
 
 static void delete_timer(MacTimeout& t)
diff -rud fltk-1.1.x-r5252.Orig/src/Fl_win32.cxx fltk-1.1.x-r5252/src/Fl_win32.cxx
--- fltk-1.1.x-r5252.Orig/src/Fl_win32.cxx	2006-07-17 15:00:37.000000000 +0200
+++ fltk-1.1.x-r5252/src/Fl_win32.cxx	2006-07-17 15:02:50.000000000 +0200
@@ -639,12 +639,13 @@
     if (win32_timer_alloc == 0) {
         win32_timer_alloc = 8;
     }
-    Win32Timer* new_timers = new Win32Timer[win32_timer_alloc * 2];
-    memmove(new_timers, win32_timers, sizeof(Win32Timer) * win32_timer_used);
+    win32_timer_alloc *= 2;
+    Win32Timer* new_timers = new Win32Timer[win32_timer_alloc];
+    memset(new_timers, 0, sizeof(Win32Timer) * win32_timer_alloc);
+    memcpy(new_timers, win32_timers, sizeof(Win32Timer) * win32_timer_used);
     Win32Timer* delete_me = win32_timers;
     win32_timers = new_timers;
     delete [] delete_me;
-    win32_timer_alloc *= 2;
 }
 
 static void delete_timer(Win32Timer& t)
